import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { GitsearchSharedModule } from 'app/shared/shared.module';

import { LikesDeleteDialogComponent } from './likes-delete-dialog.component';
import { LikesDetailComponent } from './likes-detail.component';
import { LikesUpdateComponent } from './likes-update.component';
import { LikesComponent } from './likes.component';
import { likesRoute } from './likes.route';

@NgModule({
  imports: [GitsearchSharedModule, RouterModule.forChild(likesRoute)],
  declarations: [LikesComponent, LikesDetailComponent, LikesUpdateComponent, LikesDeleteDialogComponent],
  entryComponents: [LikesDeleteDialogComponent],
})
export class GitsearchLikesModule {}
